Subject: A few things about areas.

From: Eugene Medvedev <[email-masked]>
Date: Mon, 29 Sep 2025 23:38:16 +0300

I've set out to produce a system that uses areas, and after some
exploration, I've ran into a few issues:

1. Execs in areas have NNCP_SENDER set to area ID, not
    the original sender of the packet. They thus have no way
    to find out who the originator of the message is, even though
    this information is available, it shows in logs.
2. Am I correct in thinking that if I have set allow-unknown: true,
    exec packets from unknown senders will be received, but
    their sender ID will be impossible to verify?
3. Execs in general do not appear to have access to packet ID
    (or whatever the name of the packet file actually is) which
    would be handy to have for some applications. Not sure how
    stable this string is, though.
4. nncp-cfgmin does not export area information at all.
5. The sender never receives a copy of the message they sent
    to the area, necessitating working around this by non-nncp
    means.

Am I missing something, or nncp does not currently have a way
around these?

-- 
Eugene Medvedev